#!/usr/local/bin/perl -w

use strict;

#
# bayestest.pl
#
# This file is part of Bayespam. (v0.9.2)
#
# This program reads a corpus of spam email and tests all files in a given
#	directory, reporting on their "spam status".  This is quick-n-dirty,
#	and is not necessarily meant to be the be-all, end-all test of
#	Bayespam!
#
# Copyright (C) 2002 Gary Arnold
#
# Bayespam is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Bayespam is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Bayespam; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

if ( $#ARGV < 0 )
{
	print "usage: bayestest.pl [CORPUS] [DIRECTORY]\n";
	print "Test a corpus rating file for use with bayespam spam filter.\n\n";
	exit 0;
}

opendir(DIR, $ARGV[1]) or die "can't opendir $ARGV[1]: $!";
my @files = readdir(DIR);
foreach ( @files )
{
	my $filename = "$ARGV[1]\/$_";
	if ( -f $filename )
	{
		my $pid = open(WRITEME, "| /usr/local/bin/bayes_spam_check.pl -r $ARGV[0]") or die "Couldn't fork: $!\n";
		open(F, "< $filename") or die "couldn't open $filename\n";
		while( <F> ) { print WRITEME $_; }
		close(WRITEME);
		my $status=$? >> 8;
		if ( $status == 0 ) { print "$filename is Not spam\n"; }
		else { print "$filename is Spam\n"; }
	}
}
