#
# Process.pm
#
# This file is part of Bayespam. (v0.9.2)
#
# This module contains shared code for the different scripts
#	making up the Bayespam software package.
#
# Copyright (C) 2002 Gary Arnold
#
# Bayespam is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Bayespam is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Bayespam; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

package Bayespam::Process;

use MIME::Parser;

require      Exporter;
@ISA       = qw( Exporter );
@EXPORT    = qw( ProcessMimeMessage );

sub ProcessMimeMessage
{
	my ($entity) = @_;
	my $msg = '';

	$entity->make_singlepart;

	my @keep = grep { $_->mime_type =~ /^text\/(plain|html)$/i } $entity->parts;
	$entity->parts(\@keep);

	$msg .= $entity->head->as_string;
	if ( !defined $entity->bodyhandle )
	{
		foreach($entity->parts)
		{
			$msg .= ProcessMimeMessage( $_ );
		}
	}
	else
	{
		$msg .= " ".$entity->bodyhandle->as_string;
	}
	return $msg;
}
